EasySocial.module('ck/settings', function($) {

var module = this;

EasySocial.Controller('CK.Settings', {
	defaultOptions: {
		"{option}": "[data-settings-option]",
		"{form}": "[data-settings-form]",

		"{sound}": "[data-settings-sound]",
		"{submit}": "[data-settings-submit]",
		"{darkmode}": "[data-settings-darkmode]"
	}
}, function(self, opts, base, parent, ck) { return {
	init: function() {
		parent = self.parent;
		ck = self.ck;
	},

	"{option} change": function(element, event) {
		var checked = element.is(':checked');
		var ckWrapper = $('#ck');

		// Darkmode enabled
		if (self.darkmode().is(':checked')) {
			ckWrapper
				.attr('data-ck-theme', 'dark');
		} else {
			ckWrapper
				.attr('data-ck-theme', 'light');
		}

		ck.ajax({
			'namespace': 'saveSettings',
			'sound': self.sound().is(':checked') ? 1 : 0,
			'submit': self.submit().is(':checked') ? 1 : 0,
			'darkmode': self.darkmode().is(':checked') ? 1 : 0
		});
	},

	"{self} onRenderTab": function(element, event, tab) {

		if (tab != 'settings') {
			return;
		}

		// Render contents
		parent.render('renderSettings');
	}
}});

module.resolve();

});