EasySocial.module('ck/tabs', function($) {

var module = this;

EasySocial.require()
.script('ck/settings', 'ck/conversations', 'ck/contacts')
.done(function($) {

EasySocial.Controller('CK.Tabs', {
	defaultOptions: {
		activeTab: null,
		"{container}": "[data-ck-container]",
		"{tabs}": "[data-ck-footer-tabs]",
		"{tab}": "[data-ck-footer-tabs] [data-ck-tab]"
	}
}, function(self, opts, base, ck, conversations) { return {

	init: function() {
		ck = self.parent;

		// TODO: Find better ways to implement them
		self.container().implement(EasySocial.Controller.CK.Settings, {
			"{parent}": self,
			"{ck}": ck
		});

		self.conversations = conversations = self.container().addController(EasySocial.Controller.CK.Conversations, {
												"{parent}": self,
												"{ck}": ck
											});

		self.contacts = contacts = self.container().implement(EasySocial.Controller.CK.Contacts, {
										"{parent}": self,
										"{ck}": ck
									});
	},

	// Called from extended classes
	render: function(namespace, data, callback) {

		var options = {
			'namespace': namespace
		};

		// console.log(namespace);

		options = $.extend({}, options, data);

		ck.loading();

		ck.ajax(options).done(function(contents) {
			ck.render(opts.activeTab, contents, callback);
		});
	},

	open: function(tab) {
		var namespace = tab.split(':');

		// Rendering conversation
		if (namespace.length > 1) {
			if (namespace[0] == 'message') {
				conversations.renderConversationWithUserId(namespace[1]);
			}

			if (namespace[0] == 'conversations') {
				conversations.renderConversation(namespace[1]);
			}

			return;
		}

		opts.activeTab = tab;
		ck.setCurrentPage(tab);

		var element = self.tabs().find('[data-ck-tab=' + tab + ']');
		var title = element.data('title');

		// Add active state on the current tab
		self.tab().removeClass('is-active');
		element.addClass('is-active');

		if (title !== undefined) {
			ck.setTitle(title);
		}

		ck.body().removeClass('has-filters has-actions');
		self.container().trigger('onRenderTab', [opts.activeTab]);
	},

	"{tab} click": function(element, event) {
		var tab = element.data('ck-tab');

		self.open(tab);
	}
}});

});

module.resolve();

});
