<?php
/**
* @package		ConverseKit
* @copyright	Copyright (C) Stack Ideas Sdn Bhd. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* ConverseKit is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('CK_BASE') or die('Unauthorized');

require_once(CK_BASE . '/configuration.php');

// Simple database connection via Joomla's settings
class Database
{
	private $state = null;
	private $host = null;
	private $user = null;
	private $password = null;
	private $database = null;
	private $driver = null;
	private $conn = null;
	private $dbprefix = null;

	public function __construct()
	{
		$config = new JConfig();

		$this->host = $config->host;
		$this->user = $config->user;
		$this->password = $config->password;
		$this->database = $config->db;
		$this->driver = $config->dbtype;
		$this->dbprefix = $config->dbprefix;

		// Create database connection
		$this->connection = $this->connect();
	}

	/**
	 * Creates a new connection to the database
	 *
	 * @since	1.0
	 * @access	public
	 */
	public function connect()
	{
		if ($this->driver == 'mysqli') {
			$connection = mysqli_connect($this->host, $this->user, $this->password, $this->database);

			// Check connection
			if (mysqli_connect_errno()) {
				throw new Exception(mysqli_connect_error());
			}
		}


		if ($this->driver == 'mysql') {
			$connection = mysql_connect($this->host, $this->user, $this->password);

			if (!$connection) {
				throw new Exception(mysql_error());
			}

			if (!mysql_select_db($this->database)) {
				throw new Exception(mysql_error());
			}
		}

		return $connection;
	}

	/**
	 * Escapes a text
	 *
	 * @since	1.0
	 * @access	public
	 */
	public function escape($value)
	{
		if ($this->driver == 'mysql') {
			return '\'' . mysql_real_escape_string($value) . '\'';
		}

		if ($this->driver == 'mysqli') {
			return '\'' . mysqli_real_escape_string($this->connection, $value) . '\'';
		}
	}

	/**
	 * Executes query based on mysql adapter
	 *
	 * @since	1.0
	 * @access	public
	 *
	*/
	public function query($query, $debug = false)
	{
		$result = array();

		if (is_array($query)) {
			$query = implode(' ', $query);
		}

		$query = str_ireplace('#__', $this->dbprefix, $query);

		if ($debug) {
			echo $query;exit;
		}

		if ($this->driver == 'mysqli') {
			$query = $this->connection->query($query);

			if (!$query) {
				return null;
			}

			$result = array();

			while ($row = mysqli_fetch_assoc($query)) {
				$result[] = $row;
			}

			// If there's only 1 result, we should not be returning the array wrapper
			if (count($result) == 1) {
				return $result[0];
			}

			return $result;
		}

		// Otherwise we assume that it is mysql
		$result = mysql_query($query);
		$result = mysql_fetch_assoc($result);

		return $result;
	}
}