<?php
/**
* @package		ConverseKit
* @copyright	Copyright (C) Stack Ideas Sdn Bhd. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* ConverseKit is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Unauthorized Access');
?>
<style type="text/css">
body #ck .btn-toggle-ckit { 
	color: <?php echo $params->get('icon_color', '#ffffff');?>
}
:root,
[data-ck-theme="dark"] {
	--ck-primary-color: <?php echo $params->get('button_color', '#4870E9');?>;
	--ck-primary-color--hover: <?php echo $params->get('button_hover_color', '#3455C8');?>;
}
</style>

<div id="ck" class="<?php echo $params->get('position', 'right') == 'right' ? 'is-right' : 'is-left';?>" 
	data-ck-theme="<?php echo $darkModeSettings ? 'dark' : 'light';?>"
>
	<div class="<?php echo $hideButton ? 'hide' : '';?> layout-compact ckit-<?php echo $params->get('button_style', 'circle');?>">
		<a href="javascript:void(0);" class="btn-toggle-ckit is-<?php echo $params->get('button_style', 'circle');?>" data-ck-button data-start="<?php echo $params->get('default_tab', 'conversation');?>">
			<div class="btn-toggle-open"></div>
			<div class="btn-toggle-close"></div>
		</a>
		<div class="ckit-bubble__link" data-ck-counter>0</div>
	</div>

	<div class="ckit-window disable-scrolling is-hidden" data-ck-window>
		<div data-ck-wrapper>

			<div class="ckit-container" data-ck-container>
				<div class="ckit-container__hd" data-ck-container-header>
					<div class="ckit-head-action" data-ck-container-header-actions>
						<div class="ckit-header-avatar">
							<div id="es">
								<?php echo $esThemes->html('avatar.user', $my, 'default', false, true, '', false); ?>
							</div>
						</div>

						<a href="javascript:void(0);" data-ck-back class="btn btn-ckit-head-action btn-ckit-head-back">
							<i class="fa fa-angle-left"></i>
						</a>

						<div class="ckit-message-header" data-ck-container-header-message>
						</div>

						<div class="o-checkbox ckit-mass-action-checkbox">
							<input type="checkbox" id="item-checkall" data-ck-checkall />
							<label for="item-checkall"><?php echo JText::_('PLG_CK_SELECT_ALL'); ?></label>
						</div>

						<div class="ckit-header-title" data-ck-container-header-title>
						</div>

						<a href="javascript:void(0);" class="ckit-mass-actions ckit-edit-action" data-ck-mass-edit><?php echo JText::_('PLG_CK_EDIT'); ?></a>

						<a href="javascript:void(0);" class="ckit-mass-actions ckit-done-action" data-ck-mass-edit-done><?php echo JText::_('PLG_CK_DONE'); ?></a>

						<div class="ckit-search-wrapper">
							<div class="form-group">
								<input type="text" class="form-control" placeholder="<?php echo JText::_('PLG_CK_SEARCH_PEOPLE');?>" data-ck-search-input />
								<a class="ckit-clear-search ckit-template" href="javascript:void(0);" data-ck-search-clear><?php echo JText::_('PLG_CK_CLEAR'); ?></a>
							</div>
						</div>

						<a href="javascript:void(0);" class="btn btn-ckit-head-action btn-ckit-close" data-ck-mobile-close>
							<i class="fa fa-times"></i>
						</a>
					</div>
				</div>

				<div class="ckit-container__bd" data-ck-container-body>

					<div class="o-loader"></div>

					<div class="ckit-alert-msg" data-ck-alert style="display: none;">
						<span data-ck-alert-message></span>
						<a href="javascript:void(0);" data-ck-alert-close>
							<i class="fa fa-times"></i>
						</a>
					</div>

					<div class="ckit-empty" data-ck-empty-conversations>
						
						<i class="fa fa-envelope"></i>
						<span></span>
						<div>
							<?php echo JText::_('PLG_CK_EMPTY_CONVERSATION');?>
							<br /><br /><button class="btn btn-ckit-primary" data-ck-compose><?php echo JText::_('PLG_CK_NEW_CHAT');?></button>
						</div>
					</div>

					<div data-chat-topmenu-wrapper></div>

					<div data-chat-loadMore-wrapper></div>

					<?php if ($params->get('display_login', true) && !$userId) { ?>
					<div class="ckit-register" data-ck-guest>
						<div class="ckit-register__wrapper">
							<div class="ckit-register__bd">
								<form class="ckit-register-form" method="post" action="<?php echo JRoute::_('index.php');?>">

									<?php if ($sso->hasSocialButtons()) { ?>
									<div class="ckit-register-form__social">
										<div class="ckit-register-form__title">
											<?php echo JText::_('PLG_CK_CONNECT_WITH_SOCIAL_ACCOUNTS');?>
										</div>
										<div class="btn-group-social">
											<div class="btn-group-social__item">
												<?php echo $sso->getLoginButton('facebook'); ?>
											</div>
											<div class="btn-group-social__item">
												<?php echo $sso->getLoginButton('twitter'); ?>
											</div>
											<div class="btn-group-social__item">
												<?php echo $sso->getLoginButton('linkedin'); ?>
											</div>
										</div>
									</div>
									<?php } ?>

									<div class="ckit-register-form__title">
										<?php echo JText::_('PLG_CK_LOGIN_WITH_YOUR_ACCOUNT');?>
									</div>

									<div class="form-group">
										<label class="o-label" for="ck-username">
											<?php if ($esConfig->get('registrations.emailasusername')) { ?>
												<?php echo JText::_('PLG_CK_EMAIL'); ?>
											<?php } ?>

											<?php if (!$esConfig->get('registrations.emailasusername')) { ?>
											<?php echo JText::_('PLG_CK_USERNAME'); ?>
											<a href="<?php echo ESR::account(array('layout' => 'forgetUsername'));?>"> <?php echo JText::_('PLG_CK_FORGET_USERNAME');?></a>
											<?php } ?>
										</label>
										<input id="ck-username" type="text" class="form-control" name="username" />
									</div>
									<div class="form-group">
										<label for="ck-password"><?php echo JText::_('PLG_CK_PASSWORD');?>
											<a href="<?php echo ESR::account(array('layout' => 'forgetPassword'));?>"><?php echo JText::_('PLG_CK_FORGET_PASSWORD');?></a>
										</label>
										<input id="ck-password" type="password" class="form-control" name="password" />
									</div>

									<div class="o-checkbox">
										<input id="ck-remember" type="checkbox" />
										<label for="ck-remember">
											<?php echo JText::_('COM_EASYSOCIAL_LOGIN_REMEMBER_YOU');?>
										</label>
									</div>

									<input type="hidden" name="option" value="com_easysocial" />
									<input type="hidden" name="controller" value="account" />
									<input type="hidden" name="task" value="login" />
									<input type="hidden" name="return" value="<?php echo $returnUrl;?>" />
									<input type="hidden" name="returnFailed" value="<?php echo base64_encode(ES::getURI(true)); ?>" />
									<?php echo ES::themes()->html('form.token');?>

									<button type="submit" class="btn btn-block btn-ckit-primary btn-ckit-login"><?php echo JText::_('COM_EASYSOCIAL_LOGIN_BUTTON');?></button>
								</form>
							</div>
							<div class="ckit-register__ft">
								<a href="<?php echo ESR::registration();?>"><?php echo JText::_('COM_EASYSOCIAL_LOGIN_REGISTER_NOW_BUTTON');?></a>
							</div>
						</div>
					</div>
					<?php } ?>

					<div class="ckit-mass-action-bar" data-ck-actions>
						<div class="ckit-mass-action-bar__cell" data-ck-archive>
							<a href="javascript:void(0);"><?php echo JText::_('PLG_CK_MENU_ARCHIVE'); ?></a>
						</div>

						<div class="ckit-mass-action-bar__cell" data-ck-mark-read>
							<a href="javascript:void(0);"><?php echo JText::_('PLG_CK_MENU_READ'); ?></a>
						</div>

						<div class="ckit-mass-action-bar__cell" data-ck-delete>
							<a href="javascript:void(0);"><?php echo JText::_('PLG_CK_MENU_DELETE'); ?></a>
						</div>

						<div class="ckit-convo__att-box del-att">

							<div class="ckit-convo-fake-dialog">
								<div class="ckit-convo-fake-dialog__content">
									<div class="ckit-convo-fake-dialog__title">
										<span class=""><?php echo JText::_('PLG_CK_DELETE_CONVERSATION');?>?</span>
									</div>
									<div class="ckit-convo-fake-dialog__actions">
										
										<a href="javascript:void(0);" class="ckit-convo-fake-dialog__btn" data-ck-delete-confirm>
											<?php echo JText::_('PLG_CK_YES'); ?>
										</a>

										<a href="javascript:void(0);" class="ckit-convo-fake-dialog__btn" data-ck-delete-cancel>
											<?php echo JText::_('PLG_CK_CANCEL'); ?>
										</a>
										
									</div>
								</div>
							</div>

							
						</div>
					</div>

					<ul class="ckit-template ckit-online-list" data-ck-filters>
						<li>
							<a href="javascript:void(0);" class="active" data-ck-filter="all"><?php echo JText::_('PLG_CK_FILTER_ALL');?></a>
						</li>

						<?php if ($showOnlineUsers) { ?>
						<li>
							<a href="javascript:void(0);" data-ck-filter="onlineusers"><?php echo JText::_('PLG_CK_FILTER_ONLINE');?></a>
						</li>
						<?php } ?>

						<?php if ($showOnlineFriends) { ?>
						<li>
							<a href="javascript:void(0);" data-ck-filter="onlinefriends"><?php echo JText::_('PLG_CK_FILTER_ONLINE_FRIENDS');?></a>
						</li>
						<?php } ?>
					</ul>

					<div class="ckit-chat-listing" data-ck-container-body-contents></div>
				</div>

				<div class="ckit-container__ft" data-ck-container-footer>

					<div class="ckit-footer-composer" data-ck-composer>
						<div id="page_navigation"></div>

						<form action="<?php echo JRoute::_('index.php');?>" class="ckit-composer-form" enctype="multipart/form-data" data-ck-composer-form ondrop="dropFiles(event);">
							<div class="ckit-composer">
								<div class="ckit-dropzone" data-ck-composer-dropzone>
									<div class="ckit-dropzone__wrapper">
										<div class="ckit-dropzone__input">
											<input id="dropfile" class="ckit-dropzone__file" type="file" />
											<label for="dropfile">
												<span class="ckit-dropzone__dragndrop">
													<i class="fa fa-files-o"></i><?php echo JText::_('PLG_CK_DROP_FILES');?>
												</span>
											</label>
										</div>
									</div>
								</div>

								<textarea data-ck-composer-textarea placeholder="<?php echo JText::_('PLG_CK_REPLY_PLACEHOLDER');?>" autocomplete="off" name="message" class="form-control ckit-composer__textarea"></textarea>


								<input type="hidden" data-conversationId />

								

								<!-- Emoji -->
								<div class="ckit-composer-icons-wrapper">
									<ul class="ckit-composer__icons">
										<?php foreach ($smileys as $smiley) { ?>
										<li class="ckit-composer-icon" data-ck-composer-emoji-item data-command="<?php echo $smiley->command;?>">
											<span class="ckit-composer-icon__text">
												<?php echo $smiley->command;?>
											</span>
											<img class="emoji" src="<?php echo $smiley->image;?>" alt="<?php echo $smiley->key;?>" width="20" height="20" />
										</li>
										<?php } ?>
									</ul>
								</div>

								<?php if ($attachment) { ?>
								<div class="ckit-composer-files-wrapper" data-ck-composer-attachments-list>

									<div class="ckit-composer__files" data-ck-attachment-template data-ck-attachment-item data-id>
										<div class="ckit-composer__files--icons">
											<i class="fa fa-paperclip"></i>
										</div>

										<div class="ckit-composer__files--text">
											<a href="javascript:void(0);" data-name></a>
										</div>

										<a href="javascript:void(0);" class="btn btn-xs btn-ckit-danger btn-remove-attachment" data-ck-attachment-delete>
											<i class="fa fa-times"></i>
										</a>

										<div class="ckit-composer-loader">
											<div class="progress">
												<div class="progress-bar progress-bar-striped active" role="progressbar"></div>
											</div>
										</div>
									</div>
								</div>
								<?php } ?>

								<?php if ($location) { ?>
								<div class="ckit-composer-location-wrapper">
									<div class="ckit-composer__map" data-ck-location-wrapper>
										<div class="ckit-composer__map--icons">
											<i class="fa fa-map-marker"></i>
										</div>

										<div class="ckit-composer__map--text">
											<input type="hidden" data-ck-composer-location-latitude />
											<input type="hidden" data-ck-composer-location-longitude />
											<input type="hidden" data-ck-composer-location-address />

											<a href="javascript:void(0);" class="ckit-composer__map--title" data-ck-composer-location-title></a>
											<i class="ckit-composer__map--loading"><?php echo JText::_('PLG_CK_DETECTING_CURRENT_LOCATION');?></i>
										</div>

										<a href="javascript:void(0);" class="btn btn-xs btn-ckit-danger btn-remove-location" data-ck-location-remove>
											<i class="fa fa-times"></i>
										</a>
									</div>
								</div>
								<?php } ?>
								<?php if ($giphyEnabledForConversations) { ?>
								<div class="ck-giphy-wrapper t-hidden is-loading" data-giphy-loading>
								</div>

								<div class="ck-gif-browser t-hidden" data-ck-giphy-browser>
									<div class="ck-gif-browser__input-search">
										<input data-ck-giphy-search type="text" class="form-control" placeholder="<?php echo JText::_('COM_ES_GIPHY_GIFS_SEARCH'); ?>">
									</div>
									<div class="ck-gif-browser__result">
										<span class="o-loader o-loader--sm" data-ck-giphy-loading></span>
											<div class="ck-gif-browser__result-label" data-ck-giphy-trending><?php echo JText::_('COM_ES_GIPHY_TRENDING'); ?></div>
												<div class="ck-gif-list-container">
													<div class="ck-gif-list" data-ck-giphy-list>
													</div>
												</div>
										<span class="ck-gif-browser__result-footer">
									</div>
									<div class="ck-powered-by-giphy"></div>
								</div>
								<?php } ?>

								<div class="ckit-error-message" data-ck-warning-wrapper></div>

								<div class="ck-composer-form__action">

									<div class="ck-composer-form__action-item">
										<a href="javascript:void(0);" class="btn btn-custom-rounded" data-ck-composer-emoji>
											<i class="far fa-smile" ></i>
										</a>
									</div>

									<?php if ($attachment) { ?>
									
									<div class="ck-composer-form__action-item">
										<input type="file" name="attachments" style="display:none;" data-ck-composer-attachments-input />
										<a href="javascript:void(0);" class="btn btn-custom-rounded" data-ck-composer-attachments>
											<i class="fas fa-paperclip"></i>
										</a>
									</div>
									<?php } ?>

									<?php if ($location) { ?>
									<div class="ck-composer-form__action-item">
										<div class="o-loader o-loader--sm"></div>
										<a href="javascript:void(0);" class="btn btn-custom-rounded" data-ck-composer-location>
											<i class="fas fa-map-marker" ></i>
										</a>
									</div>
									<?php } ?>

									<?php if ($giphyEnabledForConversations) { ?> 
									<div class="ck-composer-form__action-item">
										<a href="javascript:void(0);" class="btn btn-custom-rounded" data-ck-composer-giphy>
											GIF
										</a>
									</div>
									<?php } ?>
									
									<div class="ck-composer-form__action-item">
										<a href="javascript:void(0);" class="btn-custom-rounded btn-ck-composer-submit px-4" data-reply-submit>
											<i class="fas fa-paper-plane"></i>
										</a>
									</div>
								</div>

							</div>

							
						</form>
					</div>

					<ul class="ckit-footer-tab" data-ck-footer-tabs>
						<li>
							<a href="javascript:void(0);" data-ck-tab="conversations" data-title="<?php echo JText::_('PLG_CK_CONVERSATIONS', true);?>">
								<i class="fa fa-comments"></i>
								<span><?php echo JText::_('PLG_CK_FOOTER_CHATS'); ?></span>
							</a>
						</li>
						<?php if ($createConversation) { ?>
						<li>
							<a href="javascript:void(0);" data-ck-tab="contacts">
								<i class="fa fa-users"></i>
								<span><?php echo JText::_('PLG_CK_FOOTER_CONTACTS'); ?></span>
							</a>
						</li>
						<?php } ?>
						<li>
							<a href="javascript:void(0);" data-ck-tab="settings" data-title="<?php echo JText::_('PLG_CK_SETTINGS', true);?>">
								<i class="fa fa-cog"></i>
								<span><?php echo JText::_('PLG_CK_FOOTER_SETTINGS'); ?></span>
							</a>
						</li>
					</ul>
				</div>
			</div>

		</div>
	</div>
</div>

<script type="text/javascript">
EasySocial.require()
.script('ck/ck')
.done(function($) {

	var controller = $('body').addController(EasySocial.Controller.CK, {
						"userId": <?php echo $userId;?>,
						"initialCounter": <?php echo $initialCounter; ?>,
						"isIOS": <?php echo $isIOS ? 'true' : 'false'; ?>,
						"component": "<?php echo $component; ?>",
						"settings": {
							"useIndexForXhr": <?php echo $params->get('ajax_index', 1) ? 'true' : 'false';?>,
							"defaultTab": "<?php echo $params->get('default_tab', 'conversation');?>",
							"submit": <?php echo $submitSettings ? 1 : 0;?>,
							"sound": <?php echo $soundSettings ? 1 : 0;?>,
							"darkmode": <?php echo $darkModeSettings ? 1 : 0;?>,
							"soundFile": "<?php echo $params->get('default_sound', 'eyes');?>",
							"contactLimit": <?php echo $contactLimit;?>,
							"listLimit": <?php echo $listLimit;?>,
							"monitorInterval": <?php echo (int) $monitorInterval;?>,
							"remember": <?php echo $remember ? 'true' : 'false';?>,
							"path": "<?php echo $path;?>",
							"esToken": "<?php echo $esToken;?>",
							"googleapi": "<?php echo $googleapi;?>",
							"mapProvider": "<?php echo $mapProvider;?>",
							"conversationSorting": "<?php echo $conversationSorting; ?>",
							"conversationOrdering": "<?php echo $conversationOrdering; ?>"
						}
					});

	// JQuery seems to not be able to capture the event.dataTransfer.files. We'll just hook this up separately
	// and trigger the controller
	window.dropFiles = function(event) {
		var files = event.dataTransfer.files;

		controller.composer.trigger('dropFiles', [files]);
	};
});
</script>
