<?php
/**
* @package		ConverseKit
* @copyright	Copyright (C) Stack Ideas Sdn Bhd. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* ConverseKit is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Unauthorized Access');
?>
<?php foreach ($attachments as $attachment) { ?>
<div class="ckit-convo__att-container" data-ck-attachment-item-wrapper data-id="<?php echo $attachment->id;?>">
	<div class="o-loader"></div>

	<div class="ckit-convo__att-list">

		<div class="ck-attachment-item <?php echo $attachment->previewUri ? 'has-cover' : '';?>">
			<div class="ck-attachment-item__action">
				<a href="javascript:void(0);" class="ck-attachment-item__remove" data-ck-attachment-delete>
					<i class="fas fa-times"></i>
				</a>
			</div>

			<div class="ck-attachment-item__icon">
				<i class="fas fa-file"></i>
			</div>

			<a href="<?php echo $attachment->previewUri;?>" target="_blank" class="ck-attachment-item__embed" data-ck-attachment-download>
				<div class="ck-attachment-item__embed-cover" style="background-image: url(<?php echo $attachment->previewUri; ?>)"></div>
			</a>

			<a href="<?php echo $attachment->url;?>" target="_blank" class="ck-attachment-item__context">
				<div class="ck-attachment-item__title">
					<span><?php echo $attachment->name;?></span>
				</div>
				<div class="ck-attachment-item__desc">
					<span><?php echo $attachment->size;?> <?php echo JText::_('kb');?></span>
				</div>
			</a>
		</div>


		<div class="ckit-convo__att-item xt-hidden">

			<?php if ($attachment->previewUri) { ?>
				<!-- <img src="<?php echo $attachment->previewUri; ?>" /> -->
			<?php } ?>
			<!-- <div data-file></div> -->

			<div class="ckit-convo__att-box t-hidden" data-delete-download-wrapper>
				<div class="ckit-convo__att-files">
					<a href="<?php echo $attachment->previewUri ? $attachment->previewUri : 'javascript:void(0);'; ?>" class="ckit-convo__att-link" target="_blank">
						<span class="ckit-convo__att-name"><?php echo $attachment->name;?></span>
					</a>

					<div class="ckit-convo__att-size">(<?php echo $attachment->size;?> <?php echo JText::_('kb');?>)</div>
				</div>

				<div class="ckit-convo__att-actions">
					<a href="<?php echo $attachment->url;?>" target="_blank" class="ckit-convo__icons" data-ck-attachment-download>
						<i class="fa fa-download"></i>
					</a>
					<a href="javascript:void(0);" class="ckit-convo__icons" data-ck-attachment-delete>
						<i class="fa fa-trash"></i>
					</a>
				</div>
			</div>

			<div class="ckit-convo__att-box del-att">
				<div class="ckit-convo-fake-dialog">
					<div class="ckit-convo-fake-dialog__content">
						<div class="ckit-convo-fake-dialog__title">
							<span class=""><?php echo JText::_('PLG_CK_DELETE_ATTACHMENT');?>?</span>
						</div>
						<div class="ckit-convo-fake-dialog__actions">
							
							<a href="javascript:void(0);" class="ckit-convo-fake-dialog__btn" data-ck-confirm>
								<?php echo JText::_('PLG_CK_YES');?>
							</a>
							<a href="javascript:void(0);" class="ckit-convo-fake-dialog__btn" data-ck-cancel>
								<?php echo JText::_('PLG_CK_CANCEL');?>
							</a>
						</div>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
<?php } ?>