<?php
/**
* @package		ConverseKit
* @copyright	Copyright (C) Stack Ideas Sdn Bhd. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* ConverseKit is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Unauthorized Access');
?>
<div class="o-grid o-grid--center">
	<div class="o-grid__cell">
		<div class="o-flag">
			<div class="ckit-message-info">
				<div class="o-flag__image">
					<div id="es">
						<?php if (!$data->multiple) { ?>
							<?php echo $esThemes->html('avatar.user', $data->target, 'default', false, true, '', false, ''); ?>
						<?php } else { ?>
							<?php echo $esThemes->html('avatar.mini', '', '', rtrim(JURI::root(),'/') . '/media/com_easysocial/defaults/avatars/group/large.png', 'default', '', '', false); ?>
						<?php } ?>
					</div>
				</div>

				<div class="o-flag__body ckit-group-info">
					<a href="<?php echo $data->userPermalink; ?>" class="ckit-user-name" data-ck-title><?php echo $data->conversationTitle; ?></a>
					
					<?php if (!$data->multiple) { ?>
						<?php if ($data->userOnlineStatus) { ?>
							<?php echo JText::_('PLG_CK_ONLINE'); ?>
						<?php } ?>
						
						<?php if (!$data->userOnlineStatus && $data->conversationLastActive) { ?>
						<div class="ckit-time-lapse">
							<?php if ($data->conversationLastActive == '0000-00-00 00:00:00') { ?>
								<?php echo JText::_('PLG_CK_USERS_NEVER_LOGGED_IN'); ?>
							<?php } else { ?>
								<?php echo JText::_('PLG_CK_LAST_ACTIVE');?> <?php echo $data->conversationLastActive;?>
							<?php } ?>
						</div>
						<?php } ?>
					<?php } ?> 

					<?php if ($data->multiple) { ?>
					<div class="ckit-time-lapse">
						<a href="javascript:void(0);" class="t-text--muted" data-ck-view-participants>
							<i class="fa fa-users"></i> <?php echo JText::sprintf('PLG_CK_GROUP_PARTICIPANTS_HEADER', $data->header->totalcontacts);?>
						</a>
					</div>
					<?php } ?>
				</div>
			</div>

			<div class="o-flag__body ckit-group-edit">

				<div class="o-input-group">
					<input type="text" class="form-control" placeholder="<?php echo JText::_('PLG_CK_TITLE_PLACEHOLDER');?>" value="<?php echo $data->conversationTitle;?>" 
						data-original="<?php echo $data->conversationTitle;?>"
						data-ck-title-input />
					<span class="o-input-group__btn">
						<button class="btn btn-sm btn-ckit-success" data-ck-title-save>
							<i class="fa fa-check"></i>
						</button>
						<button class="btn btn-sm btn-ckit-default" data-ck-title-cancel>
							<i class="fa fa-times"></i>
						</button>
					</span>

				</div>
			</div>

			<div class="o-flag__body o-flag--middle">
				<div class="btn-group ckit-btn-group" role="group" data-dropdown-wrapper>
					<button type="button" class="btn btn-default-o btn-xs dropdown-toggle" data-es-toggle="dropdown">
						<i class="fa fa-ellipsis-v"></i>
					</button>

					<ul class="dropdown-menu dropdown-menu-right" data-dropdown-header>
						<li>
							<a href="javascript:void(0);" class="ckit-group-actions" data-ck-view-participants><?php echo JText::_('PLG_CK_VIEW_PARTICIPANT'); ?></a>
						</li>
						<?php if ($data->isParticipant) { ?>
						<li>
							<a href="javascript:void(0);" data-ck-add-participants><?php echo JText::_('PLG_CK_ADD_PARTICIPANT'); ?></a>
						</li>
						<li>
							<a href="javascript:void(0);" class="ckit-group-actions" data-ck-change-title><?php echo JText::_('PLG_CK_GROUP_TITLE'); ?></a>
						</li>
						<li>
							<a href="javascript:void(0);" class="ckit-group-actions" data-ck-leave-conversations><?php echo JText::_('PLG_CK_LEAVE_CONVERSATION'); ?></a>
						</li>
						<?php } ?>
					</ul>
				</div>
			</div>
		</div>
	</div>
</div>