<?php
/**
* @package		ConverseKit
* @copyright	Copyright (C) Stack Ideas Sdn Bhd. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* ConverseKit is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Unauthorized Access');

$url = '//maps.google.com/?q=' . $location->lat . ',' . $location->lon . '&sensor=true&key=' . $esConfig->get('location.maps.api');
$previewUrl = '//maps.googleapis.com/maps/api/staticmap?size=400x200&sensor=true&amp;key=' . $esConfig->get('location.maps.api') . '&amp;zoom=15&amp;center=' . $location->lat . ',' . $location->lon . '&amp;markers=' . $location->lat . ',' . $location->lon . '&amp;language=en';

if ($esConfig->get('location.provider') !== 'maps') {
	$url = '//www.openstreetmap.org/#map=16/' . $location->lat . '/' . $location->lon;
	$previewUrl = '//maps.wikimedia.org/img/osm-intl,13,' . $location->lat . ',' . $location->lon . ',600x300.png';
}
?>

<div class="ckit-messages__map-container" data-ck-location-container>
	<div class="ckit-messages__map">
		<div class="ckit-messages__map--address">
			<i class="fa fa-map-marker" aria-hidden="true"></i>

			<?php echo JText::_('PLG_CK_MESSAGE_POSTED_FROM');?>
			<a target="_blank" href="<?php echo $url; ?>">
				<i><?php echo $location->add;?></i>
			</a>
		</div>
		<div data-location-map>
			<img src="<?php echo $previewUrl; ?>"
				width="400" height="200" />
		</div>
		<div class="ckit-messages__map--btn btn-group" data-download></div>
	</div>
</div>
