<?php
/**
* @package		ConverseKit
* @copyright	Copyright (C) Stack Ideas Sdn Bhd. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* ConverseKit is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Unauthorized Access');
?>
<?php if (isset($showLoadmore) && $showLoadmore) { ?>
<a href="javascript:void(0);" class="btn btn-ckit-default btn-show-more-ckit" data-ck-loadmore-messages>
	<div><?php echo JText::_('PLG_CK_SHOWMORE'); ?></div>
	<div class="o-loader o-loader--sm"></div>
</a>
<?php } ?>

<?php $previousMessage = null; ?>
<?php foreach ($data->messages as $message) { ?>
<div class="ck-msg <?php echo $message->creator->id == ES::user()->id ? 'is-me' : 'is-other';?> <?php echo $previousMessage && $previousMessage->creator->id == $message->creator->id ? 'hide-avatar' : '';?>" 
	data-content-wrapper data-id="<?php echo $message->id;?>" data-user-id="<?php echo $message->creator->id;?>">
	<div class="ck-msg__hd">
		<div class="ck-msg__avatar">
			<div id="es">
				<?php echo $esThemes->html('avatar.user', ES::user($message->creator->id), 'default', false, true, '', false, ''); ?>
			</div>
		</div>

		<div class="ck-msg__name">
			<?php if ($message->creator->id == ES::user()->id) { ?>
				<b><?php echo JText::_('PLG_CK_YOU'); ?></b>
			<?php } else { ?>
				<a href="<?php echo $message->creator->url;?>" data-search-id class="ckit-user-name">
					<?php if (ESJString::strlen($message->creator->name) > 20) { ?>
						<?php echo ESJString::substr($message->creator->name, 0, 20); ?><?php echo JText::_('COM_EASYSOCIAL_ELLIPSES'); ?>
					<?php } else { ?>
						<?php echo ESJString::substr($message->creator->name, 0, 20); ?>
					<?php } ?>
				</a>
			<?php } ?>
		</div>
	</div>

	<div class="ck-msg__bubble">
		<div class="ck-msg__content">
			<div class="ck-msg__content-text">
				<?php echo $message->text;?>
			</div>

			<?php if ($message->attachments) { ?>
				<?php echo CK::getTemplateContents('message.attachment', array('attachments' => $message->attachments)); ?>
			<?php } ?>

			<?php if ($message->locations) { ?>
				<?php foreach ($message->locations as $location) { ?>
					<?php echo CK::getTemplateContents('message.location', array('location' => $location)); ?>
				<?php } ?>
			<?php } ?>
		</div>
		<div class="ck-msg__time">
			<?php echo $message->dateLapse;?>
		</div>
	</div>
</div>
<?php $previousMessage = $message; ?>
<?php } ?>